var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import Button from "../../button";
var AnalysisBtn = /*#__PURE__*/React.memo(function (_a) {
  var startAnalysisProps = _a.startAnalysisProps,
      onClick = _a.startAnalysis,
      props = __rest(_a, ["startAnalysisProps", "startAnalysis"]);

  var _b = startAnalysisProps !== null && startAnalysisProps !== void 0 ? startAnalysisProps : {},
      isConfirmFilter = _b.isConfirmFilter,
      loading = _b.btnLoading,
      size = _b.size,
      title = _b.title;

  return isConfirmFilter ? _jsx(Button, __assign({}, props, {
    onClick: onClick,
    loading: loading,
    size: size
  }, {
    children: title
  }), void 0) : null;
});
AnalysisBtn.displayName = 'AnalysisBtn';
export default AnalysisBtn;

